# Hardware module
This module contains all the source code for the software used to run the Arduino nano. We used the free software: Arduino IDE which can be downloaded [here](https://www.arduino.cc/en/software). This folder also contains all the .stl files to 3D print our hardware device.
## Usage
To run the source code you should install Arduino IDE and upload the code to the Arduino Board using an USB cable. The code is meant to be used by the arduino nano but can be adapted for more arduino devices.

## File description
The file needed to program the hardware **iGEM_hardware.ino** programs the microcontroller to measure the difference between two capacitors and turn on a light when the difference changes substantually.

The file needed to program the hardware **iGEM_hardware_button.ino** programs the microcontroller to measure the difference between two capacitors and turn on a light when the difference changes substantually. It adds a button functionality to correct for the offset capacitance.

The folder **3D printer files** contains the files needed to 3D print the parts of the device.
